Name:           RmlUi
Version:        6.1
Release:        1%{?dist}
Summary:        The HTML/CSS User Interface library evolved.

License:        MIT
URL:            https://github.com/mikke89/RmlUi
Source0:        https://github.com/mikke89/RmlUi/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  freetype-devel
BuildRequires:  harfbuzz-devel
#Requires:       

%description


%package devel
Summary:    Files needed to develop RmlUi applications.
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel

%prep
%autosetup


%build
%cmake \
    -DRMLUI_SAMPLES=OFF \
    -DRMLUI_THIRDPARTY_CONTAINERS=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc readme.md changelog.md
%{_libdir}/librmlui.so
%{_libdir}/librmlui_debugger.so

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}

%changelog
* Thu Jul 17 2025 Joseph Walton-Rivers <joseph@walton-rivers.uk>
- 
